%define version	4.2.2
%define release	%mkrel 3

%define libname_orig lib%{name}
%define libname %mklibname %{name} 10

Name:		eb
Summary:	Library for reading EB/EPWING files
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	BSD-like
URL:		http://www.sra.co.jp/people/m-kasahr/eb/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:		locales-en zlib-devel
Requires:		%{libname} = %{version}

%description
Eb is a library for reading EB/EPWING files.


%package -n %{libname}
Summary:	Eb library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}-%{release}

%description -n %{libname}
Eb library.

%package -n %{libname}-devel
Summary:	Headers of %{name} for development
Group:		Development/C
Requires:		%{libname} = %{version}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Eb development package: static libraries, header files, and the like.


%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%config(noreplace) %{_sysconfdir}/eb.conf
%{_bindir}/eb*
%{_datadir}/aclocal/eb4.m4
%{_datadir}/eb/doc/*
%{_datadir}/locale/*/LC_MESSAGES/ebutils.mo

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libeb.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/libeb.so
%{_includedir}/eb/*




%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.2.2-3mdv2008.1
+ Revision: 170806
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.2.2-2mdv2008.1
+ Revision: 149686
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Mar 08 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 4.2.2-1mdk
- new release

* Tue Nov 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 4.2.1-1mdk
- bump major from 9 to 10 (it was wrong before)
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Tue Mar 08 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 4.1.3-2mdk
- add BuildRequires: locales-en zlib-devel

* Fri Feb 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.1.3-1mdk
- fix libification and overwriting config file
- first spec for Mandrakelinux (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

